> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onswitch.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get quote

> Get a real-time quote for swapping between two stablecoin assets including exchange rate and fees.



## OpenAPI

````yaml /openapi.json post /swap/quote
openapi: 3.0.3
info:
  title: Receive stablecoin. Get fiat in seconds.
  description: Stablecoin collection and settlement layer.
  version: 1.0.0
  contact:
    name: Switch Labs
    email: contact@onswitch.xyz
  license:
    name: Proprietary
  x-tagGroups:
    - name: Institution
      tags:
        - Institution
    - name: Miscellaneous
      tags:
        - Miscellaneous
    - name: History
      tags:
        - History
    - name: Payment
      tags:
        - Payment
    - name: Webhook
      tags:
        - Webhook
    - name: Offramp
      tags:
        - Offramp
    - name: Onramp
      tags:
        - Onramp
    - name: Swap
      tags:
        - Swap
    - name: Developer
      tags:
        - Developer
    - name: Wallet
      tags:
        - Wallet
    - name: Compliance
      tags:
        - Compliance
servers:
  - url: https://api.onswitch.xyz
    description: Production server
security: []
tags:
  - name: Institution
    description: Institution discovery and bank or payment-rail lookup
  - name: Miscellaneous
    description: Requirements, coverage, assets, confirmation, and transaction status
  - name: History
    description: Payment history and summaries for the partner's account
  - name: Payment
    description: Saved payment beneficiaries, payment confirmation, and status
  - name: Webhook
    description: Webhook delivery history and callback resend
  - name: Offramp
    description: Offramp transaction endpoints for converting stablecoins to local currency
  - name: Onramp
    description: Onramp transaction endpoints for converting local currency to stablecoins
  - name: Swap
    description: Swap endpoints for exchanging between different stablecoin assets
  - name: Developer
    description: Developer fee balance and withdrawal
  - name: Wallet
    description: >-
      Wallet endpoints for creating and managing chain abstracted stablecoin
      wallets
  - name: Compliance
    description: AML compliance screening for PEP, sanctions, and other regulatory reasons
paths:
  /swap/quote:
    post:
      tags:
        - Swap
      summary: Get quote
      description: >-
        Get a real-time quote for swapping between two stablecoin assets
        including exchange rate and fees.
      operationId: getSwapQuote
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
                - from_asset
                - to_asset
              properties:
                amount:
                  type: number
                  minimum: 0
                from_asset:
                  $ref: '#/components/schemas/AssetCode'
                to_asset:
                  $ref: '#/components/schemas/AssetCode'
                exact_output:
                  type: boolean
                  default: false
            example:
              amount: 100
              from_asset: base:usdc
              to_asset: solana:usdt
              exact_output: false
      responses:
        '200':
          description: Successfully retrieved swap quote
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                  - timestamp
                  - data
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  timestamp:
                    type: string
                    format: date-time
                  data:
                    description: Response data
                    type: object
                    nullable: true
                    required:
                      - expiry
                      - settlement
                      - channel
                      - rate
                      - fee
                      - fee_inclusive
                      - source
                      - destination
                    properties:
                      expiry:
                        type: string
                        format: date-time
                      settlement:
                        type: string
                      channel:
                        type: string
                      rate:
                        type: number
                      fee:
                        type: object
                        required:
                          - total
                          - platform
                          - developer
                          - currency
                        properties:
                          total:
                            type: number
                          platform:
                            type: number
                          developer:
                            type: number
                          currency:
                            type: string
                      fee_inclusive:
                        type: boolean
                      source:
                        type: object
                        required:
                          - amount
                          - currency
                        properties:
                          amount:
                            type: number
                          currency:
                            type: string
                      destination:
                        type: object
                        required:
                          - amount
                          - currency
                        properties:
                          amount:
                            type: number
                          currency:
                            type: string
              example:
                success: true
                message: Swap quote fetched successfully
                timestamp: '2026-04-18T14:22:08.631Z'
                data:
                  expiry: '2026-04-18T14:37:15.000Z'
                  settlement: Instant
                  channel: BLOCKCHAIN
                  rate: 1
                  fee:
                    total: 0.5
                    platform: 0.45
                    developer: 0.05
                    currency: USDC
                  fee_inclusive: true
                  source:
                    amount: 100
                    currency: USDC
                  destination:
                    amount: 99.5
                    currency: USDT
        '400':
          $ref: '#/components/responses/BadRequest'
      security:
        - ServiceKey: []
components:
  schemas:
    AssetCode:
      type: string
      enum:
        - base:usdc
        - solana:usdc
        - solana:usdt
        - ethereum:usdc
        - ethereum:usdt
        - polygon:usdc
        - polygon:usdt
        - bsc:usdc
        - bsc:usdt
        - arbitrum:usdc
        - optimism:usdc
        - gnosis:usdc
        - gnosis:usdt
        - arbitrum:usdt
        - avalanche:usdc
        - monad:usdc
        - optimism:usdt
        - monad:usdt
        - plasma:usdt
        - avalanche:usdt
        - tron:usdt
        - linea:usdt
        - mantle:usdt
        - hyperevm:usdt
        - berachain:usdt
        - linea:usdc
        - berachain:usdc
        - sonic:usdc
        - base:cngn
        - bsc:cngn
  responses:
    BadRequest:
      description: Bad request - Invalid input parameters or validation error
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - message
              - timestamp
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                description: Error message describing what went wrong
              timestamp:
                type: string
                format: date-time
              data:
                description: Additional error details
                nullable: true
          example:
            success: false
            message: amount must be greater than 0 for the selected corridor
            timestamp: '2026-04-18T14:22:08.631Z'
            data: null
  securitySchemes:
    ServiceKey:
      type: apiKey
      in: header
      name: x-service-key
      description: Service key for API authentication

````